| Home | Libraries | People | FAQ | More

###### string::assign (7 of 7 overloads)

Assign characters to a string.

###### Synopsis

    string&
    assign(
        string_view s);

###### Description

Replaces the contents with those of a string view. This view can contain null characters.

###### Complexity

Linear in `s.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`s` | The string view to copy from.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `s.size() > max_size()`.